## quickstart

reading through the [quickstart](https://whoosh.readthedocs.io/en/latest/quickstart.html)

so far so good...


```python
from whoosh.index import create_in
from whoosh.fields import *

schema = Schema(title=TEXT(stored=True), path=ID(stored=True), content=TEXT)
ix = create_in("/tmp", schema)
writer = ix.writer()

writer.add_document(title=u"First document", 
                    path=u"/a",
                    content=u"This is the first document we've added!")

writer.add_document(title=u"Second document", 
                    path=u"/b",
                    content=u"The second one is even more interesting!")

writer.commit()

from whoosh.qparser import QueryParser

with ix.searcher() as searcher:
    query = QueryParser("content", ix.schema).parse("first")
    results = searcher.search(query)
    print(results[0])
```


## okay but what is happening and how does it happen

to begin with, you need a schema. that defines what you're
actually indexing with your search engine tool. it's the
fields and data types metadata.

```
schema = Schema(title=TEXT(stored=True), path=ID(stored=True), content=TEXT)
```

we just define a few fields here.

once you have a schema, you can define an index. that is an
object that applies a given schema to objects that are fed 
to it. This allows you to extract information from a large
number of objects and create a fast, searchable index of
that data.

```
ix = create_in("/tmp", schema)
```

